Subject: bug#37164: Generated installation image does not include grub.

From: Jesse Gibbons <[email-masked]>
Date: Tue, 27 Aug 2019 19:17:31 -0600

On Tue, 2019-08-27 at 07:09 +0200, Gábor Boskovits wrote:
> Hello,
> 
> Jesse Gibbons <[email-masked]> ezt írta (időpont: 2019. aug.
> 27., K, 4:48):
> > On Mon, 2019-08-26 at 22:44 +0200, Gábor Boskovits wrote:
> > > Hello,
> > > 
> > > Jesse Gibbons <[email-masked]> ezt írta (időpont: 2019.
> > aug.
> > > 23., P, 19:41):
> > > > 1. generate the install image
> > > >  guix system disk-image --file-system-type=iso9600 --
> > verbosity=3 --
> > > > root=installation-os-x86_64.iso  --system=x86_64-linux -e '(@
> > (gnu
> > > > system install) installation-os)'
> > > > 
> > > 
> > > Just a wild guess, does it work with the verbosity option
> > removed?
> > > I had issues with that in the past.
> > I tried generating an install image with --verbosity and another
> > without --verbosity. There was no difference because guix does not
> > expect the --verbosity option to make a difference.
> > 
> > I deleted the link and ran the garbage collector, then tried
> > building
> > the image without --verbosity, but file does not detect grub. I
> > think
> > it isn't a problem with 'file' because a virtual machine setup with
> > virt-manager does not think the ISO is bootable.
> 
> Is it possible that you are hit by this issue?
> https://issues.guix.gnu.org/issue/36865
I don't see how grub.cfg not being a GC root could cause guix to build
an ISO without GRUB. Perhaps you could clarify your thoughts?

> Could you try again after guix pull?
I pull'd but nothing changed.

commit according to guix describe:
48752f277c589435aab4d80947fa80f01577d55d

> Best regards,
> g_bor

I tried the following:
cd ~/.config/guix/current/share/guile/site/2.2/gnu/system/examples/
guix system disk-image --file-system-type=iso9600 bare-bones.tmpl |
xargs file

end result:
/gnu/store/g1ba8gkhkcjkdraxpnrw166i5qpa7cb9-disk-image: DOS/MBR boot
sector; partition 1 : ID=0x83, active, start-CHS (0x0,32,33), end-CHS
(0xac,86,27), startsector 2048, 2766577 sectors; partition 2 : ID=0xef,
start-CHS (0xac,86,28), end-CHS (0xb1,111,48), startsector 2768625,
81921 sectors

As you can see, GRUB was not detected by file.

I noticed guix outputs odd characters when I try to build an ISO.
Here's a sample:
/��@ build-log 23054 1
�@ build-log 23054 1
�@ build-log 23054 1
"@ build-log 23054 1
)@ build-log 23054 1
@ build-log 23054 1

\��@ build-log 23054 1
�@ build-log 23054 1
�@ build-log 23054 1
)@ build-log 23054 1
@ build-log 23054 1

-��@ build-log 23054 1
�@ build-log 23054 1
�@ build-log 23054 1
>@ build-log 23054 1
)@ build-log 23054 1
@ build-log 23054 1

\��@ build-log 23054 1
�@ build-log 23054 1
�@ build-log 23054 1
"@ build-log 23054 1
)@ build-log 23054 1
 @ build-log 23054 1
�@ build-log 23054 1
�@ build-log 23054 1
�@ build-log 23054 1
)@ build-log 23054 1
@ build-log 23054 1

Perhaps this could be related.

I'm curious if anyone is able to replicate this bug.
-- 
-Jesse